=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-03-22 21:30:21 +0000
+++ m4/pandora_canonical.m4	2010-03-25 22:03:21 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.115])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.116])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],

=== modified file 'm4/pandora_have_libmemcached.m4'
--- m4/pandora_have_libmemcached.m4	2010-03-05 18:49:27 +0000
+++ m4/pandora_have_libmemcached.m4	2010-03-25 22:03:21 +0000
@@ -24,6 +24,11 @@
       memcached_dump_func *df;
       memcached_lib_version();
     ])
+  ],[
+    ac_cv_libmemcached="no"
+  ])
+
+  AS_IF([test "x$ac_enable_libmemcached" = "xyes"],[
     AC_LIB_HAVE_LINKFLAGS(memcachedprotocol,,[
       #include <libmemcached/protocol_handler.h>
     ],[
@@ -31,7 +36,6 @@
       protocol_handle= memcached_protocol_create_instance();
     ])
   ],[
-    ac_cv_libmemcached="no"
     ac_cv_libmemcachedprotocol="no"
   ])
   
@@ -43,49 +47,55 @@
     ]])],
     [pandora_cv_libmemcached_server_fn=yes],
     [pandora_cv_libmemcached_server_fn=no])])
+
   AS_IF([test "x$pandora_cv_libmemcached_server_fn" = "xyes"],[
     AC_DEFINE([HAVE_MEMCACHED_SERVER_FN],[1],[If we have the new memcached_server_fn typedef])
   ])
-
-  AS_IF([test "x$1" != "x"],[
-    AC_CACHE_CHECK([if libmemcached is recent enough],
-      [pandora_cv_recent_libmemcached],[
-      pandora_need_libmemcached_version=`echo "$1" | perl -nle '/(\d+)\.(\d+)/; printf "%d%0.3d000", $[]1, $[]2 ;'`
-      AS_IF([test "x${pandora_need_libmemcached_version}" = "x0000000"],[
-        pandora_cv_recent_libmemcached=yes
-      ],[
-        AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
+])
+
+AC_DEFUN([_PANDORA_RECENT_LIBMEMCACHED],[
+
+  AC_CACHE_CHECK([if libmemcached is recent enough],
+    [pandora_cv_recent_libmemcached],[
+    AS_IF([test "x${ac_cv_libmemcached}" = "xno"],[
+      pandora_cv_recent_libmemcached=no
+    ],[
+      AS_IF([test "x$1" != "x"],[
+        pandora_need_libmemcached_version=`echo "$1" | perl -nle '/(\d+)\.(\d+)/; printf "%d%0.3d000", $[]1, $[]2 ;'`
+        AS_IF([test "x${pandora_need_libmemcached_version}" = "x0000000"],[
+          pandora_cv_recent_libmemcached=yes
+        ],[
+          AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #include <libmemcached/configure.h>
 
 #if !defined(LIBMEMCACHED_VERSION_HEX) || LIBMEMCACHED_VERSION_HEX < 0x]]${pandora_need_libmemcached_version}[[
 # error libmemcached too old!
 #endif
-          ]],[[]])
-        ],[
-          pandora_cv_recent_libmemcached=yes
-        ],[
-          pandora_cv_recent_libmemcached=no
+            ]],[[]])
+          ],[
+            pandora_cv_recent_libmemcached=yes
+          ],[
+            pandora_cv_recent_libmemcached=no
+          ])
         ])
+      ],[
+        pandora_cv_recent_libmemcached=yes
       ])
     ])
-    AS_IF([test "x${pandora_cv_recent_libmemcached}" = "xno"],[
-      ac_cv_libmemcached=no
-      ac_cv_libmemcachedprotocol=no
-    ])
   ])
-      
 
-  AM_CONDITIONAL(HAVE_LIBMEMCACHED, [test "x${ac_cv_libmemcached}" = "xyes"])
+  AM_CONDITIONAL(HAVE_LIBMEMCACHED,[test "x${ac_cv_libmemcached}" = "xyes" -a "x${pandora_cv_recent_libmemcached}" = "xyes"])
   
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBMEMCACHED],[
-  _PANDORA_SEARCH_LIBMEMCACHED($1)
+  AC_REQUIRE([_PANDORA_SEARCH_LIBMEMCACHED])
+  _PANDORA_RECENT_LIBMEMCACHED($1)
 ])
 
 AC_DEFUN([PANDORA_REQUIRE_LIBMEMCACHED],[
   PANDORA_HAVE_LIBMEMCACHED($1)
-  AS_IF([test x$ac_cv_libmemcached = xno],
+  AS_IF([test "x{$pandora_cv_recent_libmemcached}" = "xno"],
       AC_MSG_ERROR([libmemcached is required for ${PACKAGE}]))
 ])
 

=== modified file 'plugin/memcached_functions/plugin.ini'
--- plugin/memcached_functions/plugin.ini	2010-02-12 02:56:22 +0000
+++ plugin/memcached_functions/plugin.ini	2010-03-25 22:03:21 +0000
@@ -29,5 +29,5 @@
         memc_behavior_set.cc memc_behavior_get.cc 
         memc_increment.cc memc_decrement.cc
         memc_stats.cc
-build_conditional="${ac_cv_libmemcached}" = "yes" -a "x${MEMCACHED_BINARY}" != "xno"
+build_conditional="${pandora_cv_recent_libmemcached}" = "yes" -a "x${MEMCACHED_BINARY}" != "xno"
 ldflags=${LTLIBMEMCACHED}

=== modified file 'plugin/memcached_stats/plugin.ini'
--- plugin/memcached_stats/plugin.ini	2010-03-03 22:16:39 +0000
+++ plugin/memcached_stats/plugin.ini	2010-03-25 22:03:21 +0000
@@ -4,5 +4,5 @@
 load_by_default=no
 headers=stats_table.h analysis_table.h sysvar_holder.h
 sources=memcached_stats.cc stats_table.cc analysis_table.cc
-build_conditional="${ac_cv_libmemcached}" = "yes" -a "x${MEMCACHED_BINARY}" != "xno"
+build_conditional="${pandora_cv_recent_libmemcached}" = "yes" -a "x${MEMCACHED_BINARY}" != "xno"
 ldflags=${LTLIBMEMCACHED}

